/* charvar.h   -     Macros to ease the handling of PL/1 strings.          */
#nolist
/*
** 88???? Peter Eriksson   Initial coding
** 890713 Fredrik Lindberg Added crecvar()
*/
#ifndef __charvar
#define __charvar

#ifndef NULL
#  define NULL (char*)0
#endif

#define charvar(max)                                                       \
   struct                                                                  \
   {                                                                       \
      short length;                                                        \
      char  text[max];                                                     \
   }

#define setcvar(cvar,cstr)                                                 \
   strncpy((cvar).text, cstr, (cvar).length = strlen(cstr))

#define catcvar(cvar, cstr)                                                \
   strncpy((cvar).text+(cvar).length, cstr, (cvar).length += strlen(cstr))

#define getcvar(cstr,cvar)                                                 \
   (strncpy(cstr, (cvar).text, (cvar).length), cstr[(cvar).length] = '\0', cstr)

#ifdef notyet
#define crecvar(cstr, cvar)                                                \
   ((cstr=(char*)malloc(cvar.length+1))?getcvar(cstr,cvar):NULL)
#endif
#endif
