/*
** ENVIO.C                                  Get and set environment variables.
**
**
** Date     Programmer     History
** -------- -------------- --------------------------------------------------
** 880918   P. Eriksson    Initial coding.
*/

#include <stdio.h>
#include <string.h>


/*
** external declarations
*/
extern char *  gvget();
extern int     gvset();



/*
** routine to get an environment variable
*/
char *   getenv(name)
char *   name;
{
   char     varname[129];
   char *   varptr;


   varname[0] = '.';
   strcpy(varname + 1, name);

   if (varptr = gvget(varname))
      return strdup(varptr);
   else
      return NULL;
}


/*
** routine to set an environment variable
*/
int      putenv(envstring)
char *   envstring;
{
   char     name[129];
   char     value[129];
   char *   ptr;


   if (ptr = strchr(envstring, '='))
   {
      *ptr = '\0';
      name[0] = '.';
      strcpy(name + 1, envstring);
      strcpy(value, ptr + 1);
      return gvset(name, value);
   }
   else
      return -1;
}


