/*
** MALLOC.H                                   Memory allocation routines.
*/

#nolist

/*
** Date     Programmer     History
** -------- -------------- --------------------------------------------------
** 880924   F. Lindberg    Reentered from a paper copy of the orignal file...
*/

#ifndef _malloch_
#define _malloch_

#include <stddef.h>
#include <stdalloc.h>


/*
** currently only CI compiled programs is allowed to call alloca()
*/
#ifdef __CI
   extern void * _alloca();
#  define alloca(size)  _alloca(size)
#endif


/*
** some other memory allocation routines found in common libraries
*/
extern void cfree();
extern size_t _msize();


/*
** emulation definitions for MSDOS compilers
*/
#define __free       free
#define _fmalloc     malloc
#define hfree        free
#define halloc       calloc
#define _nfree       free
#define _nmalloc     malloc

#define far
#define near


#endif
#list
