/*
** STRING.H - String function definitions
*/

#nolist

/*
** Date     Programmer     History
** -------- -------------- --------------------------------------------------
** 88????   P. Eriksson    Initial coding.
** 880924   F. Lindberg    Reentered from a paper copy... [:-(]
*/

#ifndef _stringh_
#define _stringh_

#include <stddef.h>

extern char *strcat(), *strchr(), *strcpy(), *strdup(), *strrchr(),
            *strerror(), *strlwr(), *strpbrk(), *strcchr(), *strrev(),
            *strset(), *strstr(), *strtok(), *strupr(),
            *strncat(), *strncpy(), *strnset(), *strtrn();

extern int strcmp(), stricmp(), strcmpi(), strncmp(), strnicmp();
extern size_t strcspn(), strlen(), strspn();

extern void *memcpy(), *memmove(), *memchr(), *memset();
extern int memcmp();

#define index strchr
#define rindex strrchr

#endif
#list

